public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/jwt/
Date: Sun,  3 Sep 2017 06:50:04 +0000 (UTC)	[thread overview]
Message-ID: <1504421399.84426cf45bed8750b48eca099a41765f33283475.graaff@gentoo> (raw)

commit:     84426cf45bed8750b48eca099a41765f33283475
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  3 05:43:07 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Sep  3 06:49:59 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84426cf4

dev-ruby/jwt: add 2.0.0

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ruby/jwt/Manifest         |  1 +
 dev-ruby/jwt/jwt-2.0.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/jwt/Manifest b/dev-ruby/jwt/Manifest
index 4f29171893d..5b8646f5767 100644
--- a/dev-ruby/jwt/Manifest
+++ b/dev-ruby/jwt/Manifest
@@ -1 +1,2 @@
 DIST jwt-1.5.6.tar.gz 28586 SHA256 f4678d7b3a3b2c650675bf4adba6704104c2d2c071bd933f508684f3b1035b8b SHA512 f112bb815ef1af1f77d082574f5157f33469c2caba88716aa16b20dc48d279f8579730f75db81aa31480d6edd5deaa110adbaf3f52372b0397d5822a964a759e WHIRLPOOL d3945c4827bfaf15b57ee6f84f0366074d448c732fee8b8899d9004a93bf57c912bec6cf0f0c1eda38cfc88b3f2c0dec7f5f5d98b1b758e1ecce19ec3edaf02c
+DIST jwt-2.0.0.tar.gz 32205 SHA256 fb88d50cb7656dee600037b20480d353ed6640adceb6b39ebe5fdee30026b8f8 SHA512 d194e06df17edfbde49d9ae6caad5e220f602ce722ae4361a5118024e08dcaddccc71a8fbac99e75ce3b19033e6368825914eed3e91e402b2cf208ebaabf23a5 WHIRLPOOL 4be3a9f4891eca2469c80cd1a554f3b6ca365065f906963dcccdceec51c3ae7206aaca9109eab8905609d622135f27bc71a1a9c4e89487cf2b152261be3668d4

diff --git a/dev-ruby/jwt/jwt-2.0.0.ebuild b/dev-ruby/jwt/jwt-2.0.0.ebuild
new file mode 100644
index 00000000000..db473eb2b1f
--- /dev/null
+++ b/dev-ruby/jwt/jwt-2.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby implementation of JSON Web Token draft 06"
+HOMEPAGE="https://github.com/jwt/ruby-jwt"
+SRC_URI="https://github.com/jwt/ruby-jwt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="ruby-jwt-${PV}"
+
+all_ruby_prepare() {
+	sed -i -e "/simplecov/ s:^:#:" \
+		-e '/^SimpleCov.configure/,/^end/ s:^:#:' \
+		-e '/codeclimate/I s:^:#:' \
+		-e '/codacy/I s:^:#:' \
+		spec/spec_helper.rb || die
+}


             reply	other threads:[~2017-09-03  6:50 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-03  6:50 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-18  6:22 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/jwt/ Hans de Graaff
2024-09-18  8:56 Hans de Graaff
2024-06-19  5:16 Hans de Graaff
2024-06-02  5:43 Hans de Graaff
2024-02-29  7:20 Hans de Graaff
2024-02-18  7:05 Hans de Graaff
2024-01-02  7:05 Hans de Graaff
2023-08-19  9:17 Hans de Graaff
2023-06-12  6:21 Hans de Graaff
2023-04-07  7:52 Hans de Graaff
2023-04-07  6:34 Hans de Graaff
2023-04-01 23:19 Sam James
2023-03-27  8:35 Sam James
2023-02-04  7:52 Hans de Graaff
2023-02-04  7:52 Hans de Graaff
2023-02-04  7:41 Hans de Graaff
2023-02-04  7:41 Hans de Graaff
2022-12-24 15:00 Hans de Graaff
2022-08-26 12:13 Hans de Graaff
2022-08-26 11:45 Hans de Graaff
2022-08-26 11:45 Hans de Graaff
2022-06-08  3:45 Hans de Graaff
2022-06-07 18:31 Hans de Graaff
2021-10-09  7:27 Hans de Graaff
2021-10-09  7:27 Hans de Graaff
2020-09-12  4:09 Hans de Graaff
2020-09-05  8:01 Hans de Graaff
2020-08-19  3:54 Hans de Graaff
2020-07-17  0:54 Sam James
2020-02-02  6:32 Hans de Graaff
2019-05-25  5:38 Hans de Graaff
2019-05-24  7:06 Hans de Graaff
2019-02-02  7:55 Hans de Graaff
2018-07-31  4:53 Hans de Graaff
2018-07-31  4:53 Hans de Graaff
2018-05-26  4:48 Hans de Graaff
2017-09-03  6:50 Hans de Graaff
2017-08-26  8:27 Hans de Graaff
2017-08-26  8:27 Hans de Graaff
2017-06-14  4:43 Hans de Graaff
2017-06-14  4:43 Hans de Graaff
2016-09-20  5:07 Hans de Graaff
2016-09-17  5:53 Hans de Graaff
2016-09-17  5:53 Hans de Graaff
2016-03-25  6:29 Hans de Graaff
2016-03-25  6:29 Hans de Graaff
2016-02-26  6:54 Hans de Graaff
2016-02-26  6:54 Hans de Graaff
2015-10-28  5:31 Hans de Graaff
2015-10-28  5:31 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1504421399.84426cf45bed8750b48eca099a41765f33283475.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox